Subject: Re: gdb & signals
From: [email-masked] (Fergus Henderson)

24 Sep 1997 19:16:27 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Earnie Boyd)
Cc: [email-masked] (Cygnus GNU-win32 mailing list)

Earnie Boyd wrote:
> 
> >From: Fergus Henderson <[email-masked]>
> >
> >My program, which I think works OK with b17.1,
> >gets a seg fault or equivalent ("In cygwin_except_handler")
> >with b18.  On win95, it hangs the OS.  On NT it is not quite
> >so bad, I can kill the process.  But I'm having trouble debugging
> >it, because after the first SIGSEGV -- which is expected (my
> >program is trapping the signal) -- gdb refuses to continue,
> >complaining that it can't send the signal to the child process.
> >So I can't reproduce the problem inside gdb.
> >Also the gdb `attach' command doesn't seen to work either, so
> >I can't attach to the process after it has hung.
> >
> >Any hints or suggestions for how to go about debugging this sort
> >of problem?
> 
> So, which version of cygwin.dll are you using?

I was using b18, although I got the same symptoms with the coolview version.

Anyway I think I've found the cause -- it was the mprotect() in b18.
In b17, there was no mprotect, so my program's configure script noticed
this and didn't try to use it.  In b18, there in an mprotect, but
apparently it doesn't work.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".